Subject: syslog -> NT event logger mapping
From: Bruce Edge <[email-masked]>
To: [email-masked]
Date: Fri, 17 Nov 2000 19:36:15 -0800

Corinna Vinschen wrote:
> 
> Bruce Edge wrote:
> >
> > How about using openlog() to determine how to handle this?
> > I'm not sure I can suggest which argument to openlog() could be
used to
> > provide some sort of hint to cygwin as to how the app wanted to
handle this
> > issue.
> > Perhaps extend the openlog API to take a filename which would
specify the
> > insertion string map file.
> > Of course this would involve a registry write on app startup to
get the
> > message file name into the registry.
> 
> I'm not sure if it's worth to change the openlog interface. It
> contains the identity as first parameter already.
> Wouldn't it be enough to add a registry key for an application to
> point to the Cygwin DLL as message file?

Sure. That would be great. 

> Personally I would favour to use always the one and only Cygwin
> registry key to avoid polluting the registry with entries for all
> Cygwin applications using syslog.

Agreed, unix apps should not be concerned with monkeying with the windows
registry.

-Bruce.

--
Want to unsubscribe from this list?
Send a message to [email-masked]